function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
  if sender==30 then
    setcurentleaf("bob",23,0);
      ShowMenu(true);
    speciale_action(2,800);
    Set_Cursor(800,1);
    AddParticleToObject(800,"lebedka",553,259);
    MoveEmiter("lebedka",553,259);
    if not flags.minicomplete131 then
    StartEmiter("lebedka"); 
    end;
    flags.endcomics= true;
          savegame(SaveLevel());
  return;end;
  
  if sender==28 then---- объект доехал
    if obj_id==1 then
      if frame==8 or skip then
        SetAlfa(-33,1,0,2);
        clear_satelite_leaf("bob");
      return;end;
      if frame==0 then
        MoveObjectX(2,1024,300,2);     
      return;end;  
    return;end;
    if obj_id==2 then
      if frame==0 then
        setcolor(1100,1,1,1,1,1);
        speciale_action(2,16);
        speciale_action(2,11,true);
        BlockCursor(false);
      return;end;  
    return;end;
  return;end;  
---------------------------------------------------------------------------------------------------------------
      if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
    if obj_id==11 then        
      skip= true;
      EndComiks()
    return;end;    
  return;end;
  
    if sender==6 then
        frame=frame+1;
      if frame==1  then     
        set_text(1100,"251"); 
      return;end;      
        if frame==2  then      
        set_text(1100,"253"); 
      return;end;      
        if frame==3  then      
        set_text(1100,"254"); 
      return;end;
      if frame==4  then      
        set_text(1100,"258"); 
      return;end;
      if frame==5  then           
        set_text(1100,"255"); 
      return;end;
      if frame==6  then           
        set_text(1100,"256"); 
      return;end;
      if frame==7  then           
        set_text(1100,"257"); 
      return;end;
      if frame==8  then           
        EndComiks()
      return;end;      
    return;end;
end
function EndComiks()
  MoveObjectY(1,-200,-385,2);
  MoveObjectY(12,610,768,2);
  MoveObjectX(2,300,1024,1.5);  
  speciale_action(2,16);
  speciale_action(2,11);
  speciale_action(2,1100);
  SetAlfa(41,1,0,0.1);
  SetAlfa(42,1,0,0.1);
  SetAlfa(16,1,0,0.1);
  -- SetAlfa(1100,1,0,0.1);
  SetAlfa(-33,0,1,2.5);
end;